Draft Réseau polaire

From FreeCAD Documentation
Revision as of 10:18, 2 February 2020 by David69 (talk | contribs) (Created page with "* Appuyez sur {{Button|Reset point}} pour définir le centre de rotation sur l'origine {{Value|(0, 0, 0)}}. * Si la case {{MenuCommand|Fuse}} est cochée, les objets résultan...")
Jump to navigation Jump to search
Other languages:
English • ‎français • ‎italiano

Template:GuiCommand/rf

Description

L'outil Draft PolarArray.svg Draft PolarArray crée un réseau à partir d'un objet sélectionné en plaçant les copies le long d'une circonférence.

Cet outil peut être utilisé sur des formes 2D créées avec l'atelier Draft mais également sur de nombreux types d'objets 3D tels que ceux créés avec l'atelier Part ou l'atelier PartDesign.

Pour positionner les copies sur une grille rectangulaire, utilisez Draft Réseau; pour vous positionner dans un motif circulaire, utilisez Draft réseau Circulaire; pour positionner des copies le long d'un chemin, utilisez Draft réseau sur un chemin; pour positionner les copies aux points spécifiés, utilisez Draft Matrice de points; pour créer des copies ou des clones et les placer manuellement, utilisez Draft Déplacer, Draft Rotation et Draft Clone.

Draft PolarArray example.png

Un réseau polaire d'un objet.


Utilisation

  1. Sélectionnez un objet à partir duquel vous souhaitez créer le réseau polaire.
  2. Appuyez sur le bouton Draft PolarArray.svg Polar array. Si aucun objet n'est sélectionné, le task panel s'ouvre mais vous devez toujours sélectionner un objet pour continuer.
  3. Choisissez l'angle polaire qui détermine où sera le dernier élément du réseau.
  4. Choisissez le nombre d'éléments dans le tableau. Minimum de 2, maximum de 99.
  5. Choisissez le centre de l'axe de rotation. Vous pouvez cliquer sur la vue 3D pour définir simultanément la position du centre de rotation et terminer la commande.
  6. Facultativement, vérifiez les options de fusible ou de lien.
  7. Appuyez sur OK pour terminer la commande.

Remarques:

  • Par défaut, l'axe de rotation est l'axe Z positif (0, 0, 1). Ceci peut être modifié dans l'Éditeur de propriétés après la création de l'objet.
  • L'angle polaire est positif dans le sens anti-horaire et négatif dans le sens horaire.
  • Chaque élément du tableau est un clone exact de l'objet d'origine, mais l'ensemble du tableau est considéré comme une seule unité en termes de propriétés et d'apparence.
  • Cette commande crée le même objet que celui créé avec les outils Draft Réseau et Draft Réseau polaire. Par conséquent, le réseau peut être converti en orthogonal, polaire ou circulaire en changeant simplement ses propriétés.

Options

  • Appuyez sur Reset point pour définir le centre de rotation sur l'origine (0, 0, 0).
  • Si la case Fuse est cochée, les objets résultants dans le tableau seront fusionnés en une seule forme, s'ils se touchent ou se croisent.
  • Si la case Use Links est cochée, les objets résultants dans le tableau seront référencées entre eux App Links au lieu de simples copies. Cela améliore l'utilisation de la mémoire du tableau, car le lien d'application réutilise la forme shape de l'objet d'origine et ne crée pas de nouvelles formes. Si cette option est utilisée, la case à cocher Fuse n'a aucun effet.
  • Appuyez sur Esc ou sur le bouton Cancel pour abandonner la commande en cours.

Properties

An Array object is based on Part Feature (Part::Feature class), and thus shares all properties of the latter. In addition to the properties listed in Part Feature, the Array object has additional properties.

See the Array tool for the complete information.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Array tool can be used in macros and from the Python console by using the following function.

array_list = make_polar_array(obj, center, angle, number, use_link)
  • Creates an array from the objects contained in obj, which can be a single object or a list of objects.
  • The value of center is a vector that defines the center of the array circle; angle is the angle of the arc in degrees, and number is the number of copies in the polar pattern, including the original object.
  • If use_link is True the created copies will be App Links and not regular copies.
  • array_list is returned with the new copies.
    • array_list is either a single object or a list of objects, depending on the input obj.

Example:

import FreeCAD as App
import Draft
import draftobjects.polararray as pa

doc = App.newDocument()

tri = Draft.makePolygon(3, 600)
center = App.Vector(-1600, 0, 0)
arr = pa.make_polar_array(tri, center, 270, 8)
App.ActiveDocument.recompute()